package com.zd.laboratory.mapper;

import java.util.List;
import com.zd.laboratory.domain.LabExitLight;
import com.zd.laboratory.domain.LabHardware;
import com.zd.laboratory.domain.vo.LabExitLightVO;

/**
 * 逃生指引灯Mapper接口
 *
 * @author zd
 * @date 2022-01-25
 */
public interface LabExitLightMapper
{
    /**
     * 查询逃生指引灯
     *
     * @param id 逃生指引灯主键
     * @return 逃生指引灯
     */
    public LabExitLightVO selectLabExitLightById(Long id);

    /**
     * 查询逃生指引灯列表
     *
     * @param labExitLight 逃生指引灯
     * @return 逃生指引灯集合
     */
    public List<LabExitLight> selectLabExitLightList(LabExitLight labExitLight);


    /**
     * 查询逃生指引灯列表
     *
     * @param labExitLightVO 逃生指引灯
     * @return 逃生指引灯集合
     */
    public List<LabExitLightVO> selectLabExitLightJoinList(LabExitLightVO labExitLightVO);

    /**
     * 新增逃生指引灯
     *
     * @param labExitLight 逃生指引灯
     * @return 结果
     */
    public int insertLabExitLight(LabExitLight labExitLight);

    /**
     * 修改逃生指引灯
     *
     * @param labExitLight 逃生指引灯
     * @return 结果
     */
    public int updateLabExitLight(LabExitLight labExitLight);

    /**
     * 删除逃生指引灯
     *
     * @param id 逃生指引灯主键
     * @return 结果
     */
    public int deleteLabExitLightById(Long id);

    /**
     * 批量删除逃生指引灯
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteLabExitLightByIds(Long[] ids);

    List<LabExitLight> selectLabExitLightByBuildId(Long buildId);

    int updateStatus(LabHardware labHardware);
}
